movabletype.jp
検索

注意事項、制限事項と既知の問題点

インストール・アップグレードの注意点

以前のバージョンの Movable Type からアップグレードするときは、以下の点に注意してください。

  • データベースは、MySQL 5.0 以上のみをサポートします。Movable Type Advanced は、MySQL に加えて、Oracle Database 11g R2 / 12c と、Microsoft SQL Server 2012 / 2012 R2 / 2014 をサポートします。
    SQLite、PostgreSQL をご利用のときは、アップグレードの前に、こちらのページを参考にして、データベースの移行を行ってください。
  • Perl 5.8.1 以上のみをサポートします。(5.18.x を推奨 / Perl 5.22.x 以上は、未検証のため推奨されません。)
  • 文字コードは、UTF-8 のみをサポートします。
  • ダイナミックパブリッシングを使用するには、PHP 5.3 又は PHP 7 (6.3 以降) 以上が必要です。
  • 5.12、5.06、4.37 以前のバージョンからアップグレードしたときは、テンプレートの書き換えが必要になります。詳しくは、こちらのページをご覧ください。
  • データベースに、MySQL 5.x を UTF-8 で利用されているときは、mt-config.cgi に SQLSetNames 0 を記述してください。
  • mt-config.cgi に DefaultLanguage の記述がないときは、DefaultLanguage ja を追記してください。
  • Movable Type 3.x からのアップグレードで、mt-static ディレクトリを Movable Type のインストールディレクトリとは別のディレクトリに設定しているときは、mt-config.cgi に StaticWebPathStaticFilePath をインストール環境に合わせて追記してください。
  • Movable Type 4.1x からのアップグレードのとき、記事とウェブページのカスタムフィールドの表示順が保持されません。

既知の問題

以下の項目は、現状では制限事項となっています。将来のバージョンでの修正を検討しています。

  • Movable Type 6.3 より前のバージョンでは、ダイナミック・パブリッシングは、PHP 7 では動作しません。
  • Movable Type 6.3 より前のバージョンでは、MySQL5.6 / 5.7 では、sql_mode が 初期状態では動作しません。
  • Windows + ActivePerl 環境では、ImageDriver として Imager を利用できません。
  • Deploy Kit を利用して Movable Type Advanced を Microsoft Azure 上にインストールした場合、CAPTCHA による投稿制限設定ができません。
  • Movable Type を Windows にインストールして利用する場合、ウェブサイトをダイナミックパブリッシングにすると、ウェブサイト配下のブログの公開プロファイルでは、バックグラウンドパブリッシングを選ぶことができません。
  • Movable Type を Windows にインストールして利用する場合、SSL を利用したSMTP認証でのテストメールの送信が、うまくいかない場合があります。
  • SingleCommunity が 有効になっている場合(デフォルトで有効)、ウェブサイト、またはブログでバックアップを行ったバックアップデータには、外部認証されたコメント投稿者のデータが含まれません。(106123
  • ブログの複製を行うとき、複製の設定でカスタムフィールドを除外しても、登録されているカスタムフィールドのデータが複製されてしまう。(103647
  • mt-search.cgi では、"not" で始まる単語(例: notebook)を検索する事ができません。(#102900
  • MTTextile タグは、ダイナミックパブリッシングで利用できません。(#100985
  • MTMarkdownOptions タグは、ダイナミックパブリッシングで利用できません。(#100980
  • システムに登録されているカスタムフィールドは、テーマのインポート・エクスポートで利用できません。
  • 公開キューを利用しているとき、公開されている記事のステータスを非公開にしても、公開されている記事アーカイブファイルが削除されません。(#111248)
  • Microsoft IIS サーバーで FastCGI を利用するとき、 FastCGI のタイムアウト値が短いと処理がタイムアウトを起こす場合があります。(#111130)
  • Microsoft Azure 環境では、ファイル名に日本語が含まれるアイテムをアップロードすると、ファイル名が文字化けしてウェブからアクセスできなくなります。(#111240)
  • クラウド版では、サーバー配信の方法として rsync を利用することはできません。
  • regex_replace モディファイアの置換対象文字列に、ダブルクォーテーションが含まれる場合、文字列の置換がうまくいかない。(#111870)
  • Microsoft Edge ブラウザでは、リッチエディタの一部機能が正常な動作をしないことが確認されています。Internet Explorer 11 を利用してください。
  • イメージエディタで、リサイズしたのちにトリミングを行なうと、領域指定カーソルが正しく描画されない問題があります。リサイズ後に一度保存することで回避できます。

Movable Type Advanced の既知の問題

Movable Type Advanced では、上記の問題に加えて、以下の項目が現状では制限事項となっています。将来のバージョンでの修正を検討しています。

  • Oracle では、大文字と小文字を区別した検索ができません。
  • グループをバックアップしたバックアップファイルを復元するとき、同一名称のグループは重複して復元されます。

Movable Type クラウド版の既知の問題

  • HTTPS で運用されていないサイトでは、mt-cp.cgi(コミュニティ機能)が利用できません。

制限事項

以下の項目は、制限事項となっており、修正を予定していません。

  • Internet Explorler 8 + SSL 環境で、リッチテキストエディタを利用した記事を作成時、ブログ記事への画像挿入を行うと、セキュリティ警告のダイアログが表示されます。
  • DBD::Oracle v1.23 では、インストールする事ができません。v1.25 以上をご利用ください。
  • Tiff形式、BMP形式の画像ファイルは、ダイナミックパブリッシングでサポートされません。
  • 記事とウェブページでは、入力項目に数字の "0" だけを入力して保存しても、値が空白になります。
  • FastCGI を利用されている場合、バックアップと復元が正しく動作しません。
  • FastCGI を利用されている場合、アップグレードが正しく動作しません。
  • Feeds.App Lite で外部のフィードを取得するとき、文字が化けることがあります。
  • Microsoft IIS サーバーでは、mt-atom.cgi を利用した Atom API 経由での投稿がエラーとなります。投稿された記事は Movable Type に正常に保存されています。
  • Windows Server 2012 で、MySQL を利用する場合は、DBI モジュールのバージョンを 1.623 以上にアップデートする必要があります。
  • Time::HiRes モジュール(Perl v5.7.3 以上のバージョンで標準モジュール)が利用できない環境では、DebugMode を有効にすると アプリケーションが起動しません。
  • イメージドライバーとして Imager を利用している場合、PNG 画像の品質変更はできません。

Movable Type クラウド版

  • Apache 版では .htaccess で Indexes に関する設定を行うことはできません。
Updated on 2017-02-21, 09:46 .

関連ページ